Package org.eclipse.core.runtime

## Interface IPlatformRunnable

    @Deprecated
    public interface IPlatformRunnable

Deprecated.
use `IApplication`
Bootstrap type for the platform. Platform runnables represent executable entry points into plug-ins. Runnables can be configured into the Platform's `org.eclipse.core.runtime.applications` extension-point or be made available through code or extensions on other plug-in's extension-points.

Clients may implement this interface.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be referenced by clients. This API is planned to be deleted see https://bugs.eclipse.org/bugs/show_bug.cgi?id=457134 for details

### Field Summary

Fields
`static Integer` `EXIT_OK` Deprecated.
`static Integer` `EXIT_RELAUNCH` Deprecated.
`static Integer` `EXIT_RESTART` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Object` `run​(Object args)` Deprecated.

### Field Detail

#### EXIT_OK

    @Deprecated
    static final Integer EXIT_OK

Deprecated.
Exit object indicating normal termination

#### EXIT_RESTART

    @Deprecated
    static final Integer EXIT_RESTART

Deprecated.
Exit object requesting platform restart

#### EXIT_RELAUNCH

    @Deprecated
    static final Integer EXIT_RELAUNCH

Deprecated.
Exit object requesting that the command passed back be executed. Typically this is used to relaunch Eclipse with different command line arguments. When the executable is relaunched the command line will be retrieved from the `eclipse.exitdata` system property.

### Method Detail

#### run

    @Deprecated
    Object run​(Object args)
        throws Exception

Deprecated.
Runs this runnable with the given args and returns a result. The content of the args is unchecked and should conform to the expectations of the runnable being invoked. Typically this is a `String` array. Applications can return any object they like. If an `Integer` is returned it is treated as the program exit code if Eclipse is exiting.

Parameters:
  `args` - the argument(s) to pass to the application
Returns:
  the return value of the application
Throws:
  `Exception` - if there is a problem running this runnable.
See Also:
  `EXIT_OK`, `EXIT_RESTART`, `EXIT_RELAUNCH`